### Method

# Soup Message set_site_for_cookies

#### Declaration [src]

    void
    soup_message_set_site_for_cookies (
      SoupMessage* msg,
      GUri* site_for_cookies
    )

#### Description [src]

Sets `site_for_cookies` as the policy URL for same-site cookies for `msg`.

It is either the URL of the top-level document or `NULL` depending on whether the registrable domain of this document’s URL matches the registrable domain of its parent’s/opener’s URL. For the top-level document it is set to the document’s URL.

See the same-site spec for more information.

Sets property | `Soup.Message:site-for-cookies`

#### Parameters

`site_for_cookies`

  Type: `GUri`

  The `GUri` for the `msg`‘s site for cookies.

  The argument can be `NULL`.
  The data is owned by the caller of the function.